# Changelog

## Version 0.13.0 - Initial release - 2022-09
- Implemented Advisor inside Dataiku DSS

## Version 0.14.0 -  2022-10
- Added URL Rules features (Denylist / Allowlist)
- Made it possible to screenshot nudges
- Integrated WT1
- Made it possible to pop Advisor (separate window)
- Misc. bug fixes

## Version 0.15.0 -  2022-11
### Customer facing features
- State is now View
- Nudge is now Card
- Added ability to order cards from admin panel
- Added ability to order fields inside a card
- Simplified usage of secondary column
- Overall refacto of the card studio
- Easily list and select test keyword

### Internal features
- Refactored the entire backend and frontend to get rid of old concepts
- Rebuilt data model
- General typescript refacto
- Fixed tracking

## Version 0.15.1 -  2022-11
### Customer facing features
- Fixed secondary keyword with non string data
### Internal features
- Added webapp ID to tracking

## Version 0.15.2 -  2022-11
### Customer facing features

### Internal features
- Fixed migration script

## Version 0.15.3 -  2022-11
### Customer facing features
- Fixed browser back button that was not responding
- Made update more clear
### Internal features

## Version 0.15.4 -  2022-12
### Customer facing features
- Fixed problem installing Advisor on DSS < 9.0
### Internal features


## Version 1.0.0 - 2022-12
### Customer facing features
- Specific section on a website can be selected thanks to CSS selectors. Advisor will underline words only in these specific sections.
- Cards can easily be reordered in Admin panel for every user
- Recent webapps are now displayed in extension popups
- Use a new CSS selection engine to select the right selector
- New Card type: KPI for displaying important information
- Rename columns inside Advisor
- Add descriptions to the views
- Some UI changes on popup and admin panel
- Optimized keywords retrieval to make it faster
- New "Clear host button"
- Ability to configure headers with extension to be able to embed more websites
- Prefixing of tables now possible to use the same db to store several webapps 
- Various bug fixes

### Internal features
- Improved deployment script
- Refactored background.ts
- Fixed non admin problems
- Made migration files working properly
- Check version more often
- Various deletion of unused code
- Changed Makefile for Dataiku store deployment



## Version 1.1.0 - 2023-01
### Customer facing features
- Fixed various bugs impacting Markdown cards
- Fixed migration issues
- Webapp version is now decorrelated from extension version. Thus, it is possible to bring updates to the webapp without asking everyone to download the new extension

### Internal features
- Lots of cleanup and improvments on deployment

