from flask import Blueprint, send_from_directory, request

main = Blueprint("main", __name__)


@main.route("/<path:path>", methods=["GET"])
def static_proxy(path):
    try:
        return send_from_directory("../../resource/dist/app/", path)
    except Exception as err:
        return send_from_directory("../../resource/dist/app", "index.html")


@main.route("/")
def root():
    return send_from_directory("../../resource/dist/app/", "index.html")

@main.route("/plugins/advisor/<path:path>")
def plugin_resource(path):
    return send_from_directory("../../", path)
